Skip to main content
`Ctrl`+`K`

# DMGetCellCoordinateDM

Gets the `DM` that prescribes cellwise coordinate layout and scatters between global and local cellwise coordinates

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetCellCoordinateDM(DM dm, DM *cdm)

Collective

## Input Parameter

- dm - the `DM`

## Output Parameter

- cdm - cellwise coordinate `DM`, or `NULL` if they are not defined

## Note

Call `DMLocalizeCoordinates()` to automatically create cellwise coordinates for periodic geometries.

## See Also

`DM`, `DMSetCellCoordinateDM()`, `DMSetCellCoordinates()`, `DMSetCellCoordinatesLocal()`, `DMGetCellCoordinates()`, `DMGetCellCoordinatesLocal()`, `DMLocalizeCoordinates()`, `DMSetCoordinateDM()`, `DMGetCoordinateDM()`

## Level

intermediate

## Location

src/dm/interface/dmcoordinates.c

## Examples

src/dm/impls/plex/tutorials/ex8.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages